Skip to main content
GET
/
product-offerings
List product offerings
curl --request GET \
  --url https://apiv2.example.com/product-offerings \
  --header 'X-Api-Key: <api-key>'
{
  "items": [
    {
      "productOfferingId": "<string>",
      "status": "AVAILABLE",
      "name": "Seamless 10GB",
      "product": {
        "productId": "<string>",
        "internalName": "<string>",
        "type": "SUBSCRIPTION",
        "category": "PRODUCT_CATEGORY_SUBSCRIPTION_CELL",
        "networkProviderId": "tmobile-us",
        "features": {
          "dataMb": 2048,
          "includedCallSeconds": 1000,
          "includedSms": 500,
          "validityDays": 30,
          "countries": [
            "US",
            "CA",
            "MX"
          ],
          "regions": [
            "NORTH_AMERICA"
          ],
          "activationType": "INSTANT"
        }
      },
      "price": {
        "currency": "USD",
        "priceType": "ONE_TIME",
        "discount": 5,
        "netPrice": 5,
        "boundMonths": 12,
        "billingCycle": {
          "period": "MONTHLY",
          "interval": 1
        }
      },
      "customerType": "CONSUMER",
      "description": "Basic mobile plan with 5GB data and unlimited calls",
      "richContent": "<h3>Features</h3><ul><li>5GB monthly data</li><li>Unlimited calls & texts</li><li>No setup fees</li></ul>",
      "group": {
        "productOfferingGroupId": "mobile-plans",
        "name": "Mobile Plans",
        "category": "PRODUCT_CATEGORY_SUBSCRIPTION_CELL",
        "description": "Bundled cell subscriptions with unlimited calls and SMS with ILD enabled.",
        "internalDescription": "Core mobile offerings targeting consumer and business segments"
      },
      "addonCategories": [
        "PRODUCT_CATEGORY_SUBSCRIPTION_CELL"
      ],
      "internalDescription": "seamless_cell_10gb_us",
      "imageUrl": "https://cdn.example.com/images/mobile-basic.png",
      "metadata": {}
    }
  ],
  "pagination": {
    "nextCursor": "<string>"
  }
}

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Query Parameters

types
enum<string>[]

Filter by product offering types.

The type of product offering determines how it can be used and what kind of resource it creates.

SUBSCRIPTION Creates a standalone subscription resource (e.g., mobile plan, broadband, travel eSIM).

  • Includes categories like SUBSCRIPTION_CELL, TRAVEL_ESIM
  • Can be created via order or directly depending on configuration
  • Has its own lifecycle (activation, suspension, termination)

SUBSCRIPTION_ADDON Adds features or resources to an existing subscription.

  • Includes categories like TRAVEL_ESIM_PACKAGE
  • Must be attached to a parent subscription

LICENSE Creates a license for business/PBX features.

  • Typically used for enterprise telephony features

EXTERNAL_PRODUCT Represents purchasable items outside the core telecom platform.

  • Can only be ordered via orders, not created directly
Available options:
SUBSCRIPTION,
SUBSCRIPTION_ADDON,
LICENSE,
EXTERNAL_PRODUCT
categories
enum<string>[]

Filter by product offering categories.

A product category is a sub-type for grouping offerings of the same type.

Typically, product offerings of the same type with the same category allow for switching between them. For upgrading and downgrading subscriptions and licenses, we recommend using their corresponding endpoints though.

Categories are grouped by their product type:

SUBSCRIPTION categories:

  • PRODUCT_CATEGORY_SUBSCRIPTION_CELL - Mobile cellular subscription
  • PRODUCT_CATEGORY_SUBSCRIPTION_DATA_SIM - Data-only SIM subscription
  • PRODUCT_CATEGORY_SUBSCRIPTION_BROADBAND - Broadband internet subscription
  • PRODUCT_CATEGORY_SUBSCRIPTION_M2M - Machine-to-machine IoT subscription
  • PRODUCT_CATEGORY_TRAVEL_ESIM - Travel eSIM subscription for international roaming

SUBSCRIPTION_ADDON categories:

  • PRODUCT_CATEGORY_EXTRA_DATA - Additional data package addon
  • PRODUCT_CATEGORY_TRAVEL_ESIM_PACKAGE - Travel eSIM data package with country/region coverage
  • PRODUCT_CATEGORY_ABROAD - International roaming addon

EXTERNAL_PRODUCT categories:

  • PRODUCT_CATEGORY_EXTERNAL_PRODUCT - External purchasable product
  • PRODUCT_CATEGORY_EXTERNAL_PRODUCT_ADDON - Addon for external product
Available options:
PRODUCT_CATEGORY_SUBSCRIPTION_CELL,
PRODUCT_CATEGORY_SUBSCRIPTION_DATA_SIM,
PRODUCT_CATEGORY_SUBSCRIPTION_BROADBAND,
PRODUCT_CATEGORY_SUBSCRIPTION_M2M,
PRODUCT_CATEGORY_TRAVEL_ESIM,
PRODUCT_CATEGORY_EXTRA_DATA,
PRODUCT_CATEGORY_TRAVEL_ESIM_PACKAGE,
PRODUCT_CATEGORY_ABROAD,
PRODUCT_CATEGORY_EXTERNAL_PRODUCT,
PRODUCT_CATEGORY_EXTERNAL_PRODUCT_ADDON
customerType
enum<string>
required

Filter by customer type. The type of customer.

Available options:
CONSUMER,
BUSINESS
includeArchived
boolean
default:false

Whether to include archived product offerings.

promoCode
string

Apply promotional pricing by providing a valid promo code.

countries
string[]

Filter by country coverage using ISO 3166-1 alpha-2 codes. Returns offerings that provide coverage in any of the specified countries. This includes offerings that have the country explicitly listed or are part of a region that includes the country.

regions
string[]

Filter by region coverage. Returns offerings that provide coverage in any of the specified regions. Valid regions include: EUROPE, AMERICAS, ASIA_PACIFIC, GLOBAL, NORTH_AMERICA, SOUTH_AMERICA, AFRICA, MIDDLE_EAST.

limit
integer
default:100

The maximum number of items to return.

Required range: 1 <= x <= 1000
cursor
string

Opaque pagination token from a previous response's nextCursor.

Response

A list of product offerings.

items
object[]
required
pagination
object
required